import { type ComponentProps } from 'react'

import { type RootStylesProps, rootStyles } from './Paragraph.styles'

type ParagraphProps = ComponentProps<'p'> & RootStylesProps

function Paragraph({ weight, size, className, ...props }: ParagraphProps) {
	return <p className={rootStyles({ weight, size, className })} {...props} />
}

export { Paragraph }
